org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class GraphTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphTest

- Direct Known Subclasses:
    GraphTest.Traversals

      public abstract class GraphTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GraphTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_hasLabelXpersonX_asXpX_VXsoftwareX_addInEXuses_pX()`
    `void` | `g_V_hasXname_GarciaX_inXsungByX_asXsongX_V_hasXname_Willie_DixonX_inXwrittenByX_whereXeqXsongXX_name()`
    `void` | `g_V_outXknowsX_V_name()`
    `void` | `g_VX1X_V_valuesXnameX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_hasLabelXpersonX_asXpX_VXsoftwareX_addInEXuses_pX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_hasXname_GarciaX_inXsungByX_asXsongX_V_hasXname_Willie_DixonX_inXwrittenByX_whereXeqXsongXX_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_outXknowsX_V_name()`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_V_valuesXnameX(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphTest

          public GraphTest()

  - ### Method Detail

    - #### get_g_VX1X_V_valuesXnameX

          public abstract Traversal<Vertex,String> get_g_VX1X_V_valuesXnameX(Object v1Id)

    - #### get_g_V_hasXname_GarciaX_inXsungByX_asXsongX_V_hasXname_Willie_DixonX_inXwrittenByX_whereXeqXsongXX_name

          public abstract Traversal<Vertex,String> get_g_V_hasXname_GarciaX_inXsungByX_asXsongX_V_hasXname_Willie_DixonX_inXwrittenByX_whereXeqXsongXX_name()

    - #### get_g_V_hasLabelXpersonX_asXpX_VXsoftwareX_addInEXuses_pX

          public abstract Traversal<Vertex,Edge> get_g_V_hasLabelXpersonX_asXpX_VXsoftwareX_addInEXuses_pX()

    - #### get_g_V_outXknowsX_V_name

          public abstract Traversal<Vertex,String> get_g_V_outXknowsX_V_name()

    - #### g_VX1X_V_valuesXnameX

          public void g_VX1X_V_valuesXnameX()

    - #### g_V_hasXname_GarciaX_inXsungByX_asXsongX_V_hasXname_Willie_DixonX_inXwrittenByX_whereXeqXsongXX_name

          public void g_V_hasXname_GarciaX_inXsungByX_asXsongX_V_hasXname_Willie_DixonX_inXwrittenByX_whereXeqXsongXX_name()

    - #### g_V_hasLabelXpersonX_asXpX_VXsoftwareX_addInEXuses_pX

          public void g_V_hasLabelXpersonX_asXpX_VXsoftwareX_addInEXuses_pX()

    - #### g_V_outXknowsX_V_name

          public void g_V_outXknowsX_V_name()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.